/**
 * Model module.
 * @namespace serverside.model
 * @author Taka Okunishi
 *
 */



/**
 * Define an object property getter with require function.
 * @private
 */
function getRequire (moduleName) {
    return {
        enumerable: true,
        get: function () {
            return require(moduleName);
        }
    };
}

// Export modules with lazy loading.
Object.defineProperties(exports, {
    _defineModel: getRequire('./_define_model'),
    defineUserModel: getRequire('./define_user_model')

});
